-- Trasladar los comentarios de la tarea de estudio a los comentarios del expediente
DECLARE

CURSOR CEXP IS
    SELECT e.id_expediente_00, NVL(e.observaciones_00, '') || DECODE(e.observaciones_00, null, '', CHR(10)) || tr.observaciones_10 AS observaciones
    FROM AD74A00T00 e INNER JOIN AD74A10T00 tr ON (e.ID_EXPEDIENTE_00 = tr.ID_EXPEDIENTE_10)
    WHERE tr.observaciones_10 IS NOT NULL;

BEGIN

    FOR EXP IN CEXP LOOP
        --DBMS_OUTPUT.PUT_LINE('UPDATE AD74A00T00 SET observaciones_00 = ' || EXP.observaciones || ' WHERE id_expediente_00 = ' ||EXP.id_expediente_00 ||';');
        UPDATE AD74A00T00 SET observaciones_00 = EXP.observaciones WHERE id_expediente_00 = EXP.id_expediente_00;
    END LOOP;
    
    COMMIT;
END;

-- Añadir campo nuevo a la tabla AD74A19T00 para la interoperabilidad del cónyuge
ALTER TABLE AD74A19T00 ADD DATOS_RETORNO_IRPF_CONY_19 CLOB;
COMMENT ON COLUMN AD74A19T00.DATOS_RETORNO_IRPF_CONY_19 IS 'Datos del objeto "Retorno" de la respuesta al servicio del IRP del conyuge (en formato JSON).';